none
Error al intentar conectar con SQL Server Compact? RRS feed

  • Pregunta

  • Hola amigos, he probado correr mi aplicacion de WinForms en otras 2 PC que no tienen instalado VS 2010 pero si el  Framework y casi al abrir me sale el siguiente error, he probado varias cosas para remediarlo pero no lo logro, que puedo hacer?

    Error:

    saludos


    Alex

    miércoles, 8 de mayo de 2013 20:39

Respuestas

Todas las respuestas

  • Hola: Que version del SQlCe estas usando?, cuando pruebas tu proyecto en tu pc si se conecta?

    Saludos desde Monterrey, Nuevo León, México!!!

    miércoles, 8 de mayo de 2013 20:42
  • Puedes probar a investigar lo que te dice el mensaje. Instala la versión correcta del SQL Compact.

    Aqui tienes el enlace que te dice que revises...http://support.microsoft.com/kb/974247/es


    Si se solucionó tu consulta no olvides marcar la respuesta. Si te ayudó vótala como útil. Saludos

    miércoles, 8 de mayo de 2013 20:45
    Moderador
  • Hola la version que uso para realizar la aplicacion es la   3.5.8080.0 y esa es la version que dice la DLL; ahora tendré que instalar el ejecutable 3.5 o 4.0 que esta en la pagina de microsoft para que en 1 PC que no tiene VS y solo tiene FrameWork me funcione SQL CE?

    saludos


    Alex

    miércoles, 8 de mayo de 2013 20:49
  • hola

    pero el .sdf lo has creado con la verison 3.5 ? porque si tienes instalado el Sql Compact 4 puede que hayas creado uno en esta version

    pero referenciaste la dll de .net 3.5 lo cual es logico que fallara

    valida que hayas creado el sdf en la version correcta de sql compact

    saludos


    Leandro Tuttini

    Blog
    Buenos Aires
    Argentina

    miércoles, 8 de mayo de 2013 20:53
  • Una vez tuve un problema similiar al tuyo y era por la referencia de la Dll en mi proyecto...

    analiza esta conversacion:

    No se controló SqlException


    Saludos desde Monterrey, Nuevo León, México!!!

    miércoles, 8 de mayo de 2013 20:59
  • Leandro, creo que es eso lo que pasa, lo que hace varios dias es que me sucedio eso, y he cambiado a trabajar en otra PC con VS 2010 que trae la version 3.5 y esa es la dll que me usa pero el .sdf debe estar en 4.0, como puedo ahora actualmente en una PC diferente con 3.5 volver el .sdf atras?

    saludos


    Alex

    miércoles, 8 de mayo de 2013 21:02
  • pero entonces instala el sql compact 4

    asi agregas al referencia a la dll de la version 4 de sql compact

    saludos


    Leandro Tuttini

    Blog
    Buenos Aires
    Argentina

    miércoles, 8 de mayo de 2013 21:10